Updating the iPhone SDK/Xcode

Member
Posts: 21
Joined: 2009.10
Post: #1
Okay, I've been developing prototypes on the iPod touch... Recently, in an attempt to improve the performance of one of my prototypes, I bought a 3G (3.x) 'touch to replace my 2G (2.x) 'touch - but discovered that - although I've installed a provisioning profile on the 3G - I can't test on the 3G hardware without updating my iPhone SDK/Xcode Sad

At the moment I'm using the (I think...) iPhone SDK 2.2.0 with Xcode 3.1.2 - what I'd like to know is whether, if I install the iPhone SDK 3.1.2 with Xcode 3.1.4, it'll break my ability to test on the 2G hardware... I'm terrified of breaking my ability to test on the 2G hardware (I need that for uni...) so replies are really appreciated Grin

Oh yeah, this is on Leopard Grin
Quote this message in a reply
Member
Posts: 73
Joined: 2009.03
Post: #2
I can't say for sure since I don't have an old device, but I know the latest xcode / sdk lets you test as older OS versions, as far back as 2.2.1.
Quote this message in a reply
Member
Posts: 21
Joined: 2009.10
Post: #3
Hmm... Do you have to do anything special to install the ability to test that far back, or is the ability installed by default?
Quote this message in a reply
Member
Posts: 73
Joined: 2009.03
Post: #4
Nothing special, it's part of the SDK.
Quote this message in a reply
Post Reply